# SourcePath: dhcp/20181210dev
Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent.
Name: sony-target-dev-dhcp
%define isc_version   4.4.1
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-dhcp
Version: 4.4.1
Release: 08000401
Source: dhcp-%{isc_version}.tar.gz
Source1: dhclient-script.sony
URL: http://www.isc.org/products/DHCP/
License: MPL 2.0
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the
ISC DHCP service and relay agent.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhcp package provides
the ISC DHCP service and relay agent.
[fuse@udinese dhcp]$

%package -n %{pkgname}
Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the
ISC DHCP service and relay agent.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhcp package provides
the ISC DHCP service and relay agent.

%prep
%setup -n dhcp-%{isc_version} -q
cp %{SOURCE1} .

%build
%sony_target_dev_setup
export ac_cv_file__dev_random=yes
./configure \
	--disable-failover \
	--disable-execute \
	--disable-tracing \
	--disable-dhcpv6 \
	--host=%{sony_target_config} \
	--build=%{sony_host_config} \
	--prefix=%{sony_target_dev_prefix} \
	--includedir=%{sony_target_dev_include_dir} \
	--with-srv-pid-file=%{sony_target_dev_localstate_dir}/run/dhcpd.pid \
	--with-srv-lease-file=%{sony_target_dev_lib_dir}/dhcpd/dhcpd.leases \
	--with-srv6-pid-file=%{sony_target_dev_localstate_dir}/run/dhcpd6.pid \
	--with-srv6-lease-file=%{sony_target_dev_lib_dir}/dhcpd/dhcpd6.leases \
	--with-cli-pid-file=%{sony_target_dev_localstate_dir}/run/dhclient.pid \
	--with-cli-lease-file=%{sony_target_dev_lib_dir}/dhcpd/dhclient.leases \
	--with-cli6-pid-file=%{sony_target_dev_localstate_dir}/run/dhclient6.pid \
	--with-cli6-lease-file=%{sony_target_dev_lib_dir}/dhcp6/dhclient6.leases \
	--sysconfdir=%{sony_target_dev_sysconf_dir} \
	--with-randomdev=/dev/random BUILD_CC=gcc
make


%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
make install DESTDIR=${RPM_BUILD_ROOT}%{sony_target_dir}

rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/dhclient-script
chmod 777  ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/dhclient-script

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/dhcpd
touch ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/dhcpd//dhcpd.leases

# 6.x
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/omshell

%{sony_target_dir}%{sony_target_dev_sbin_dir}/dhclient
%{sony_target_dir}%{sony_target_dev_sbin_dir}/dhcpd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/dhcrelay

%{sony_target_dir}%{sony_target_dev_sysconf_dir}/dhcpd.conf.example
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/dhclient.conf.example
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/dhclient-script

%{sony_target_dir}%{sony_target_dev_include_dir}

%{sony_target_dir}%{sony_target_dev_lib_dir}/libdhcpctl.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libdhcp.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libomapi.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/dhcpd

%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdhcpctl.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libdhcp.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libomapi.a

%changelog
* Thu Jan 28 2021 Sony Corporation
- Initial build for CE Linux 8.0.4.X

* Fri Dec 27 2019 Sony Corporation
- Updated license details

* Fri Feb 01 2019 Sony Corporation
- Initial build for 8.0.3.0.

* Mon Dec 10 2018 Sony Corporation
- Version updated to 4.4.1

* Wed Nov 30 2016 Sony Corporation
- Initial build for 8.0.2.0.

* Fri Jan 29 2016 Sony Corporation
- Rebuilded due to openssl version update
 
* Mon Mar 10 2014 Sony Corporation
- Add CVE-2012-3571, CVE-2012-3954 
   and CVE-2012-3955 security fix patch 

* Thu Jun 14 2012 Sony Corporation
- Add CVE-2011-4539 security fix patch 

* Wed Aug 24 2011 Sony Corporation
- Add CVE-2011-2748-2749.patch security fix patch 

* Mon Aug 22 2011 Sony Corporation
- Add CVE-2011-0997 security fix patch

* Mon Mar 14 2011 Sony Corporation
- Added dhclient-script support

* Tue Mar 08 2011 Sony Corporation
- Version update 4.1.1 -> 4.1.2-P1

* Mon Nov 29 2010 Sony Corporation
- Add CVE-2010-3611  security fix patch

* Tue Sep 21 2010 Sony Corporation
- Add CVE-2010-2156  security fix patch

* Wed Mar 10 2010 Sony Corporation
- Fix symbolic link of /usr/lib/dhcpd from /devel/usr/lib/dhcpd

* Tue Mar 02 2010 Sony Corporation
- Initial build.
